fixef.fixest {fixest} | R Documentation

## Extract the Fixed-Effects from a `fixest` estimation.

### Description

This function retrieves the fixed effects from a `fixest` estimation. It is useful only when there are one or more clusters.

### Usage

    ## S3 method for class 'fixest'
    fixef(object, notes = getFixest_notes(), ...)

### Arguments

`object` | A `fixest` estimation (e.g. obtained using `feols` or `feglm`).
`notes` | Logical. Whether to display a note when the fixed-effects coefficients are not regular.
`...` | Not currently used.

### Details

If the fixed-effect coefficients not regular, then several reference points need to be set, leading to the coefficients to be NOT interpretable. If this is the case, then a warning is raised.

### Value

A list containing the vectors of the fixed effects.

If there is more than 1 fixed-effect, then the attribute “references” is created. This is a vector of length the number of fixed-effects, each element contains the number of coefficients set as references. By construction, the elements of the first fixed-effect dimension are never set as references. In the presence of regular fixed-effects, there should be Q-1 references (with Q the number of fixed-effects).

### Author(s)

Laurent Berge

### See Also

`plot.fixest.fixef`. See also the main estimation functions `femlm`, `feols` or `feglm`. Use `summary.fixest` to see the results with the appropriate standard-errors, `fixef.fixest` to extract the cluster coefficients, and the functions `esttable` and `esttex` to visualize the results of multiple estimations.

### Examples

    data(trade)

    # We estimate the effect of distance on trade => we account for 3 fixed-effects
    est_pois = femlm(Euros ~ log(dist_km)|Origin+Destination+Product, trade)

    # Obtaining the fixed-effects coefficients:
    fe_trade = fixef(est_pois)

    # The fixed-effects of the first cluster:
    head(fe_trade$Origin)

    # Summary information:
    summary(fe_trade)

    # Plotting them:
    plot(fe_trade)

[Package fixest version 0.1.0 Index]